Skip to main content
GET
Download an Object and All its Children
Deprecated on Speckle Cloud and Speckle Enterprise Server 2026.9 and later, where it serves object graphs only. Current on the open-source Speckle Server. To read a bundle version, use the bundle endpoints.

Response Format

  • If Accept is text/plain, each line of the output contains 1 object in the format: {object_id}\t{object_content}
  • If Accept is application/json, the output is a JSON representation of an array of objects.

Authorizations

Authorization
string
header
required

Personal access token. Get your token from your Speckle profile settings.

Headers

Accept
enum<string>
default:application/json

Response format: 'application/json' returns a JSON array, 'text/plain' returns tab-separated values (object_id\tobject_content)

Available options:
application/json,
text/plain

Path Parameters

projectId
string
required

The ID of the project

objectId
string
required

The ID of the root object to download A unique identifier for a Speckle object

Example:

"9b2cdb21da092dbd3558a4bc55b2cf7e"

Response

The requested object and its children. Format depends on Accept header.

id
string
speckle_type
string
totalChildrenCount
integer
numbers
number[]